View Issue Details

IDProjectCategoryView StatusLast Update
0032857LazarusPackagespublic2017-12-21 11:35
ReporterTsvetoslavAssigned ToBalázs Székely 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version7
Product Version1.9 (SVN)Product Build56794 
Target VersionFixed in Version1.8.1 (SVN) 
Summary0032857: OnlinePackageManager: Install package does not work if selected folders do not exist
DescriptionIf the user changes the folders in OPM -> Options dialog, and the selected folders do not exist, then trying to install a package will not work. The "Downloading packages. Please wait..." dialog will stay with "Speed: Estimating..." message infinitely, or until the user presses the Cancel button.
It would be nice if in this case either the program auto-creates the needed folders, or at least show a message that the folder does not exist.
Steps To ReproduceTo reproduce, you need OnlinePackageManager installed.
In Lazarus IDE, open Online Package Manager (Package -> Online Package Manager menu item), press "Options" button and in the Options dialog / Folders tab enter folders that do not exist. Save the changes.
Select on or more packages and press "Install" button. The "Downloading packages. Please wait..." dialog appears, but nothing happens.
 
TagsNo tags attached.
Fixed in Revisionr56808
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Tsvetoslav

2017-12-19 16:07

reporter  

OPM_Options.png (44,808 bytes)
OPM_Options.png (44,808 bytes)

Tsvetoslav

2017-12-19 16:08

reporter  

OPM_Install.png (49,506 bytes)
OPM_Install.png (49,506 bytes)

Balázs Székely

2017-12-20 19:24

developer   ~0104890

Fixed in r.56808. Please test and close if it's OK.

Tsvetoslav

2017-12-21 11:35

reporter   ~0104915

Thanks, it seems OK now.

Issue History

Date Modified Username Field Change
2017-12-19 16:07 Tsvetoslav New Issue
2017-12-19 16:07 Tsvetoslav File Added: OPM_Options.png
2017-12-19 16:08 Tsvetoslav File Added: OPM_Install.png
2017-12-20 18:10 Balázs Székely Assigned To => Balázs Székely
2017-12-20 18:10 Balázs Székely Status new => assigned
2017-12-20 19:24 Balázs Székely LazTarget => -
2017-12-20 19:24 Balázs Székely Note Added: 0104890
2017-12-20 19:24 Balázs Székely Status assigned => resolved
2017-12-20 19:24 Balázs Székely Fixed in Version => 1.8.1 (SVN)
2017-12-20 19:24 Balázs Székely Resolution open => fixed
2017-12-20 19:29 Juha Manninen Fixed in Revision => r56808
2017-12-21 11:35 Tsvetoslav Note Added: 0104915
2017-12-21 11:35 Tsvetoslav Status resolved => closed